Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.cookie
Class DateParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.http.impl.cookie.DateParseException

All Implemented Interfaces:
  Serializable

    @Immutable
    public class DateParseException

extends Exception

An exception to indicate an error parsing a date string.

Since:
  4.0
See Also:
  `DateUtils`, Serialized Form

Constructor Summary
`DateParseException()`
`DateParseException(String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DateParseException

    public DateParseException()

### DateParseException

    public DateParseException(String message)

Parameters:
  `message` - the exception message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.